Bug 915884 (CVE-2012-4558)

Summary: CVE-2012-4558 httpd: XSS flaw in mod_proxy_balancer manager interface
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aneelica, cdewolf, fnasser, jkaluza, jlieskov, jorton, lgao, pahan, rpiddapa, webstack-team, weli, yohmura
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130218,reported=20130225,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhel-5/httpd=affected,rhel-6/httpd=affected,jbews-1/httpd=wontfix,jbews-2/httpd=affected,eap-6/httpd=affected,fedora-all/httpd=affected,cwe=CWE-79[auto]
Fixed In Version: httpd 2.4.4, httpd 2.2.24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-04 15:18:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 918857, 918859, 918860, 918862, 918863, 918864, 918865, 961620, 961621, 1014387    
Bug Blocks: 915888, 959037, 980700    

Description Vincent Danen 2013-02-26 12:22:43 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-4558 tothe following vulnerability:

Name: CVE-2012-4558
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4558
Assigned: 20120821
Reference: http://httpd.apache.org/security/vulnerabilities_22.html
Reference: http://httpd.apache.org/security/vulnerabilities_24.html
Reference: http://svn.apache.org/viewvc/httpd/httpd/trunk/modules/proxy/mod_proxy_balancer.c?r1=1404653&r2=1413732&diff_format=h

Multiple cross-site scripting (XSS) vulnerabilities in the
balancer_handler function in the manager interface in
mod_proxy_balancer.c in the mod_proxy_balancer module in the Apache
HTTP Server 2.2.x before 2.2.24-dev and 2.4.x before 2.4.4 allow
remote attackers to inject arbitrary web script or HTML via a crafted
string.
Comment 4 Huzaifa S. Sidhpurwala 2013-03-07 01:12:00 EST
Created httpd tracking bugs for this issue

Affects: fedora-all [bug 918865]
Comment 5 Jan Lieskovsky 2013-03-07 04:23:29 EST
Knowledge Base article:
  https://access.redhat.com/knowledge/solutions/325013
Comment 7 Fedora Update System 2013-03-31 23:30:19 EDT
httpd-2.4.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2013-05-13 14:05:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:0815 https://rhn.redhat.com/errata/RHSA-2013-0815.html
Comment 10 errata-xmlrpc 2013-07-03 11:49:02 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 6

Via RHSA-2013:1012 https://rhn.redhat.com/errata/RHSA-2013-1012.html
Comment 11 errata-xmlrpc 2013-07-03 11:50:53 EDT
This issue has been addressed in following products:

  JBEWS 2 for RHEL 5

Via RHSA-2013:1011 https://rhn.redhat.com/errata/RHSA-2013-1011.html
Comment 12 errata-xmlrpc 2013-07-03 12:19:50 EDT
This issue has been addressed in following products:

  Red Hat JBoss Web Server 2.0.1

Via RHSA-2013:1013 https://rhn.redhat.com/errata/RHSA-2013-1013.html
Comment 13 errata-xmlrpc 2013-09-04 14:54:57 EDT
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.1

Via RHSA-2013:1209 https://rhn.redhat.com/errata/RHSA-2013-1209.html
Comment 14 errata-xmlrpc 2013-09-04 14:57:51 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2013:1208 https://rhn.redhat.com/errata/RHSA-2013-1208.html
Comment 15 errata-xmlrpc 2013-09-04 15:02:27 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2013:1207 https://rhn.redhat.com/errata/RHSA-2013-1207.html